VERSION 1.0 CLASS
BEGIN
  MultiUse = -1  'True
  Persistable = 0  'NotPersistable
  DataBindingBehavior = 0  'vbNone
  DataSourceBehavior  = 0  'vbNone
  MTSTransactionMode  = 0  'NotAnMTSObject
END
Attribute VB_Name = "clsNotifyIcon"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = True
Attribute VB_PredeclaredId = False
Attribute VB_Exposed = False
Option Explicit

Private NID As NOTIFYICONDATA

Private Const NIF_ICON = &H2
Private Const NIF_MESSAGE = &H1
Private Const NIF_TIP = &H4
Private Const NIM_ADD = &H0
Private Const NIM_DELETE = &H2

Private Type NOTIFYICONDATA
        cbSize As Long
        hwnd As Long
        uID As Long
        uFlags As Long
        uCallbackMessage As Long
        hIcon As Long
        szTip(1 To 64) As Byte
End Type

Private Declare Function Shell_NotifyIcon Lib "shell32" Alias "Shell_NotifyIconA" (ByVal dwMessage As Long, lpData As NOTIFYICONDATA) As Long
Private Declare Sub CopyMemory Lib "kernel32" Alias "RtlMoveMemory" (Destination As Any, Source As Any, ByVal Length As Long)
Private Declare Function SetForegroundWindow Lib "USER32" (ByVal hwnd As Long) As Long

Public Sub InitNotifyIcon()
    With NID
        .uFlags = NIF_ICON Or NIF_MESSAGE Or NIF_TIP
        .hwnd = frmAsgardHelper.hwnd
        .hIcon = frmAsgardHelper.imglstIcon.ListImages(1).Picture
        .uID = 0
        .uCallbackMessage = MessageValue.WM_MOUSEMOVE
    End With
End Sub

Public Sub SetString(sTip As String)
    CopyMemory NID.szTip(1), ByVal sTip, LenB(sTip)
End Sub
Public Sub AddIcon()

    NID.cbSize = LenB(NID)
    Shell_NotifyIcon NIM_ADD, NID

End Sub

Public Sub RemoveIcon()
    Shell_NotifyIcon NIM_DELETE, NID
End Sub

