Attribute VB_Name = "ȯ"
Option Explicit

Private Declare Function EnumDisplaySettings Lib "user32" Alias "EnumDisplaySettingsA" (ByVal lpszDeviceName As Long, ByVal iModeNum As Long, lpDevMode As Any) As Boolean
Private Declare Function ChangeDisplaySettings Lib "user32" Alias "ChangeDisplaySettingsA" (lpDevMode As Any, ByVal dwFlags As Long) As Long

Private Const CCDEVICENAME = 32
Private Const CCFORMNAME = 32
Private Const DM_BITSPERPEL = &H40000
Private Const DM_PELSWIDTH = &H80000
Private Const DM_PELSHEIGHT = &H100000
Private Const CDS_UPDATEREGISTRY As Long = &H1
Private Const CDS_TEST As Long = &H2
Private Const CDS_FULLSCREEN As Long = &H4
Private Const CDS_GLOBAL As Long = &H8
Private Const CDS_SET_PRIMARY As Long = &H10
Private Const CDS_NORESET As Long = &H10000000
Private Const CDS_SETRECT As Long = &H20000000
Private Const CDS_RESET As Long = &H40000000
Private Const CDS_FORCE As Long = &H80000000
Private Const DISP_CHANGE_SUCCESSFUL = 0
Private Const DISP_CHANGE_RESTART = 1

Type DEVMODE
   dmDeviceName As String * CCDEVICENAME
   dmSpecVersion As Integer
   dmDriverVersion As Integer
   dmSize As Integer
   dmDriverExtra As Integer
   dmFields As Long
   dmOrientation As Integer
   dmPaperSize As Integer
   dmPaperLength As Integer
   dmPaperWidth As Integer
   dmScale As Integer
   dmCopies As Integer
   dmDefaultSource As Integer
   dmPrintQuality As Integer
   dmColor As Integer
   dmDuplex As Integer
   dmYResolution As Integer
   dmTTOption As Integer
   dmCollate As Integer
   dmFormName As String * CCFORMNAME
   dmUnusedPadding As Integer
   dmBitsPerPel As Integer
   dmPelsWidth As Long
   dmPelsHeight As Long
   dmDisplayFlags As Long
   dmDisplayFrequency As Long
End Type

Public Sub sChange_Resolution(b As Boolean)
    Dim DevM As DEVMODE
    Dim erg&
    
    erg& = EnumDisplaySettings(0&, 0&, DevM)
    
    DevM.dmFields = DM_BITSPERPEL
         
    If b = True Then
        DevM.dmBitsPerPel = 16
    Else
        DevM.dmBitsPerPel = 32
    End If
   
   erg& = ChangeDisplaySettings(DevM, CDS_FORCE)
End Sub

